Subject: bug#5552: 23.1; desktop seems not quite to understand session management

From: Jan Djärv <[email-masked]>
Date: Wed, 10 Feb 2010 10:08:23 +0100

[email-masked] skrev:
> If I log out of my GNOME desktop then back in, desktop says that
> another Emacs process (the old one) appears to be using the desktop
> file and asks me if I want to use it anyway. If I say “y” then things
> work as normal (unsurprisingly, since the old process is no longer
> running). However, desktop should know that the old process is dead;
> perhaps it needs to talk to the session manager code?
> 

When you log out, the X connection is closed and emacs exits.  However, it 
does not run kill-emacs-hooks.  Desktop.el depends on that hook to clean up 
after itself.

Should we run kill-emacs instead of shut_down_emacs when exiting due to X 
connection lost?

	Jan D.